Index: tree-vect-transform.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/tree-vect-transform.c,v
retrieving revision 2.35
diff -Idpatel.pbxuser -c -3 -p -r2.35 tree-vect-transform.c
*** tree-vect-transform.c	29 Jun 2005 18:13:27 -0000	2.35
--- tree-vect-transform.c	6 Jul 2005 02:12:41 -0000
*************** vect_transform_loop (loop_vec_info loop_
*** 2737,2743 ****
    tree ratio = NULL;
    int vectorization_factor = LOOP_VINFO_VECT_FACTOR (loop_vinfo);
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "=== vec_transform_loop ===");
  
    /* Peel the loop if there are data refs with unknown alignment.
--- 2737,2743 ----
    tree ratio = NULL;
    int vectorization_factor = LOOP_VINFO_VECT_FACTOR (loop_vinfo);
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "=== vec_transform_loop ===");
  
    /* Peel the loop if there are data refs with unknown alignment.
*************** vect_transform_loop (loop_vec_info loop_
*** 2785,2791 ****
  	  stmt_vec_info stmt_info;
  	  bool is_store;
  
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    {
  	      fprintf (vect_dump, "------>vectorizing statement: ");
  	      print_generic_expr (vect_dump, stmt, TDF_SLIM);
--- 2785,2791 ----
  	  stmt_vec_info stmt_info;
  	  bool is_store;
  
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    {
  	      fprintf (vect_dump, "------>vectorizing statement: ");
  	      print_generic_expr (vect_dump, stmt, TDF_SLIM);
*************** vect_transform_loop (loop_vec_info loop_
*** 2805,2811 ****
  		 == (unsigned HOST_WIDE_INT) vectorization_factor);
  
  	  /* -------- vectorize statement ------------ */
! 	  if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
  	    fprintf (vect_dump, "transform statement.");
  
  	  is_store = vect_transform_stmt (stmt, &si);
--- 2805,2811 ----
  		 == (unsigned HOST_WIDE_INT) vectorization_factor);
  
  	  /* -------- vectorize statement ------------ */
! 	  if (vect_print_dump_info (REPORT_DETAILS))
  	    fprintf (vect_dump, "transform statement.");
  
  	  is_store = vect_transform_stmt (stmt, &si);
*************** vect_transform_loop (loop_vec_info loop_
*** 2830,2835 ****
       until all the loops have been transformed?  */
    update_ssa (TODO_update_ssa);
  
!   if (vect_print_dump_info (REPORT_VECTORIZED_LOOPS, LOOP_LOC (loop_vinfo)))
      fprintf (vect_dump, "LOOP VECTORIZED.");
  }
--- 2830,2835 ----
       until all the loops have been transformed?  */
    update_ssa (TODO_update_ssa);
  
!   if (vect_print_dump_info (REPORT_VECTORIZED_LOOPS))
      fprintf (vect_dump, "LOOP VECTORIZED.");
  }
Index: tree-vectorizer.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/tree-vectorizer.c,v
retrieving revision 2.101
diff -Idpatel.pbxuser -c -3 -p -r2.101 tree-vectorizer.c
*** tree-vectorizer.c	3 Jul 2005 16:11:38 -0000	2.101
--- tree-vectorizer.c	6 Jul 2005 02:12:41 -0000
*************** enum verbosity_levels vect_verbosity_lev
*** 176,181 ****
--- 176,184 ----
  
  /* Number of loops, at the beginning of vectorization.  */
  unsigned int vect_loops_num;
+ 
+ /* Loop location.  */
+ static LOC vect_loop_location;
  
  /*************************************************************************
    Simple Loop Peeling Utilities
*************** vect_set_dump_settings (void)
*** 1299,1315 ****
     For vectorization debug dumps.  */
  
  bool
! vect_print_dump_info (enum verbosity_levels vl, LOC loc)
  {
    if (vl > vect_verbosity_level)
      return false;
  
!   if (loc == UNKNOWN_LOC)
      fprintf (vect_dump, "\n%s:%d: note: ",
  		 DECL_SOURCE_FILE (current_function_decl),
  		 DECL_SOURCE_LINE (current_function_decl));
    else
!     fprintf (vect_dump, "\n%s:%d: note: ", LOC_FILE (loc), LOC_LINE (loc));
  
  
    return true;
--- 1302,1319 ----
     For vectorization debug dumps.  */
  
  bool
! vect_print_dump_info (enum verbosity_levels vl)
  {
    if (vl > vect_verbosity_level)
      return false;
  
!   if (vect_loop_location == UNKNOWN_LOC)
      fprintf (vect_dump, "\n%s:%d: note: ",
  		 DECL_SOURCE_FILE (current_function_decl),
  		 DECL_SOURCE_LINE (current_function_decl));
    else
!     fprintf (vect_dump, "\n%s:%d: note: ", 
! 	     LOC_FILE (vect_loop_location), LOC_LINE (vect_loop_location));
  
  
    return true;
*************** new_loop_vec_info (struct loop *loop)
*** 1407,1413 ****
    VARRAY_GENERIC_PTR_INIT (LOOP_VINFO_DATAREF_READS (res), 20,
  			   "loop_read_datarefs");
    LOOP_VINFO_UNALIGNED_DR (res) = NULL;
-   LOOP_VINFO_LOC (res) = UNKNOWN_LOC;
  
    return res;
  }
--- 1411,1416 ----
*************** get_vectype_for_scalar_type (tree scalar
*** 1549,1555 ****
    nunits = UNITS_PER_SIMD_WORD / nbytes;
  
    vectype = build_vector_type (scalar_type, nunits);
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "get vectype with %d units of type ", nunits);
        print_generic_expr (vect_dump, scalar_type, TDF_SLIM);
--- 1552,1558 ----
    nunits = UNITS_PER_SIMD_WORD / nbytes;
  
    vectype = build_vector_type (scalar_type, nunits);
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "get vectype with %d units of type ", nunits);
        print_generic_expr (vect_dump, scalar_type, TDF_SLIM);
*************** get_vectype_for_scalar_type (tree scalar
*** 1558,1564 ****
    if (!vectype)
      return NULL_TREE;
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "vectype: ");
        print_generic_expr (vect_dump, vectype, TDF_SLIM);
--- 1561,1567 ----
    if (!vectype)
      return NULL_TREE;
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "vectype: ");
        print_generic_expr (vect_dump, vectype, TDF_SLIM);
*************** get_vectype_for_scalar_type (tree scalar
*** 1567,1573 ****
    if (!VECTOR_MODE_P (TYPE_MODE (vectype))
        && !INTEGRAL_MODE_P (TYPE_MODE (vectype)))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "mode not supported by target.");
        return NULL_TREE;
      }
--- 1570,1576 ----
    if (!VECTOR_MODE_P (TYPE_MODE (vectype))
        && !INTEGRAL_MODE_P (TYPE_MODE (vectype)))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "mode not supported by target.");
        return NULL_TREE;
      }
*************** vect_is_simple_use (tree operand, loop_v
*** 1633,1639 ****
    *def_stmt = NULL_TREE;
    *def = NULL_TREE;
    
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "vect_is_simple_use: operand ");
        print_generic_expr (vect_dump, operand, TDF_SLIM);
--- 1636,1642 ----
    *def_stmt = NULL_TREE;
    *def = NULL_TREE;
    
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "vect_is_simple_use: operand ");
        print_generic_expr (vect_dump, operand, TDF_SLIM);
*************** vect_is_simple_use (tree operand, loop_v
*** 1647,1653 ****
      
    if (TREE_CODE (operand) != SSA_NAME)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "not ssa-name.");
        return false;
      }
--- 1650,1656 ----
      
    if (TREE_CODE (operand) != SSA_NAME)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "not ssa-name.");
        return false;
      }
*************** vect_is_simple_use (tree operand, loop_v
*** 1655,1666 ****
    *def_stmt = SSA_NAME_DEF_STMT (operand);
    if (*def_stmt == NULL_TREE )
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "no def_stmt.");
        return false;
      }
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "def_stmt: ");
        print_generic_expr (vect_dump, *def_stmt, TDF_SLIM);
--- 1658,1669 ----
    *def_stmt = SSA_NAME_DEF_STMT (operand);
    if (*def_stmt == NULL_TREE )
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "no def_stmt.");
        return false;
      }
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "def_stmt: ");
        print_generic_expr (vect_dump, *def_stmt, TDF_SLIM);
*************** vect_is_simple_use (tree operand, loop_v
*** 1678,1684 ****
            return true;
          }
  
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "Unexpected empty stmt.");
        return false;
      }
--- 1681,1687 ----
            return true;
          }
  
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "Unexpected empty stmt.");
        return false;
      }
*************** vect_is_simple_use (tree operand, loop_v
*** 1694,1700 ****
  
    if (*dt == vect_unknown_def_type)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "Unsupported pattern.");
        return false;
      }
--- 1697,1703 ----
  
    if (*dt == vect_unknown_def_type)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "Unsupported pattern.");
        return false;
      }
*************** vect_is_simple_use (tree operand, loop_v
*** 1703,1714 ****
       a reduction operation cannot have uses in the loop.  */
    if (*dt == vect_reduction_def && TREE_CODE (*def_stmt) != PHI_NODE)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "reduction used in loop.");
        return false;
      }
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      fprintf (vect_dump, "type of def: %d.",*dt);
  
    switch (TREE_CODE (*def_stmt))
--- 1706,1717 ----
       a reduction operation cannot have uses in the loop.  */
    if (*dt == vect_reduction_def && TREE_CODE (*def_stmt) != PHI_NODE)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "reduction used in loop.");
        return false;
      }
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      fprintf (vect_dump, "type of def: %d.",*dt);
  
    switch (TREE_CODE (*def_stmt))
*************** vect_is_simple_use (tree operand, loop_v
*** 1725,1738 ****
        break;
  
      default:
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "unsupported defining stmt: ");
        return false;
      }
  
    if (*dt == vect_induction_def)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "induction not supported.");
        return false;
      }
--- 1728,1741 ----
        break;
  
      default:
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "unsupported defining stmt: ");
        return false;
      }
  
    if (*dt == vect_induction_def)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "induction not supported.");
        return false;
      }
*************** vect_is_simple_reduction (struct loop *l
*** 1810,1816 ****
  
    if (TREE_CODE (loop_arg) != SSA_NAME)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: not ssa_name: ");
            print_generic_expr (vect_dump, loop_arg, TDF_SLIM);
--- 1813,1819 ----
  
    if (TREE_CODE (loop_arg) != SSA_NAME)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: not ssa_name: ");
            print_generic_expr (vect_dump, loop_arg, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1821,1834 ****
    def_stmt = SSA_NAME_DEF_STMT (loop_arg);
    if (!def_stmt)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "reduction: no def_stmt.");
        return NULL_TREE;
      }
  
    if (TREE_CODE (def_stmt) != MODIFY_EXPR)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            print_generic_expr (vect_dump, def_stmt, TDF_SLIM);
          }
--- 1824,1837 ----
    def_stmt = SSA_NAME_DEF_STMT (loop_arg);
    if (!def_stmt)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "reduction: no def_stmt.");
        return NULL_TREE;
      }
  
    if (TREE_CODE (def_stmt) != MODIFY_EXPR)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            print_generic_expr (vect_dump, def_stmt, TDF_SLIM);
          }
*************** vect_is_simple_reduction (struct loop *l
*** 1839,1845 ****
    code = TREE_CODE (operation);
    if (!commutative_tree_code (code) || !associative_tree_code (code))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: not commutative/associative: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1842,1848 ----
    code = TREE_CODE (operation);
    if (!commutative_tree_code (code) || !associative_tree_code (code))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: not commutative/associative: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1850,1856 ****
    op_type = TREE_CODE_LENGTH (code);
    if (op_type != binary_op)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: not binary operation: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1853,1859 ----
    op_type = TREE_CODE_LENGTH (code);
    if (op_type != binary_op)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: not binary operation: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1862,1868 ****
    op2 = TREE_OPERAND (operation, 1);
    if (TREE_CODE (op1) != SSA_NAME || TREE_CODE (op2) != SSA_NAME)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: uses not ssa_names: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1865,1871 ----
    op2 = TREE_OPERAND (operation, 1);
    if (TREE_CODE (op1) != SSA_NAME || TREE_CODE (op2) != SSA_NAME)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: uses not ssa_names: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1875,1881 ****
    if (TYPE_MAIN_VARIANT (type) != TYPE_MAIN_VARIANT (TREE_TYPE (op1))
        || TYPE_MAIN_VARIANT (type) != TYPE_MAIN_VARIANT (TREE_TYPE (op2)))
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: multiple types: operation type: ");
            print_generic_expr (vect_dump, type, TDF_SLIM);
--- 1878,1884 ----
    if (TYPE_MAIN_VARIANT (type) != TYPE_MAIN_VARIANT (TREE_TYPE (op1))
        || TYPE_MAIN_VARIANT (type) != TYPE_MAIN_VARIANT (TREE_TYPE (op2)))
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: multiple types: operation type: ");
            print_generic_expr (vect_dump, type, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1891,1897 ****
    if (SCALAR_FLOAT_TYPE_P (type) && !flag_unsafe_math_optimizations)
      {
        /* Changing the order of operations changes the sematics.  */
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: unsafe fp math optimization: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1894,1900 ----
    if (SCALAR_FLOAT_TYPE_P (type) && !flag_unsafe_math_optimizations)
      {
        /* Changing the order of operations changes the sematics.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: unsafe fp math optimization: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1901,1907 ****
    else if (INTEGRAL_TYPE_P (type) && !TYPE_UNSIGNED (type) && flag_trapv)
      {
        /* Changing the order of operations changes the sematics.  */
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: unsafe int math optimization: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1904,1910 ----
    else if (INTEGRAL_TYPE_P (type) && !TYPE_UNSIGNED (type) && flag_trapv)
      {
        /* Changing the order of operations changes the sematics.  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: unsafe int math optimization: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1917,1923 ****
    def2 = SSA_NAME_DEF_STMT (op2);
    if (!def1 || !def2)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: no defs for operands: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1920,1926 ----
    def2 = SSA_NAME_DEF_STMT (op2);
    if (!def1 || !def2)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: no defs for operands: ");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1929,1935 ****
        && flow_bb_inside_loop_p (loop, bb_for_stmt (def1))
        && def2 == phi)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "detected reduction:");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1932,1938 ----
        && flow_bb_inside_loop_p (loop, bb_for_stmt (def1))
        && def2 == phi)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "detected reduction:");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1946,1952 ****
        /* Swap operands (just for simplicity - so that the rest of the code
  	 can assume that the reduction variable is always the last (second)
  	 argument).  */
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "detected reduction: need to swap operands:");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1949,1955 ----
        /* Swap operands (just for simplicity - so that the rest of the code
  	 can assume that the reduction variable is always the last (second)
  	 argument).  */
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "detected reduction: need to swap operands:");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_reduction (struct loop *l
*** 1965,1971 ****
      }
    else
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          {
            fprintf (vect_dump, "reduction: unknown pattern.");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
--- 1968,1974 ----
      }
    else
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          {
            fprintf (vect_dump, "reduction: unknown pattern.");
            print_generic_expr (vect_dump, operation, TDF_SLIM);
*************** vect_is_simple_iv_evolution (unsigned lo
*** 2003,2009 ****
    init_expr = unshare_expr (initial_condition_in_loop_num (access_fn,
                                                             loop_nb));
  
!   if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
      {
        fprintf (vect_dump, "step: ");
        print_generic_expr (vect_dump, step_expr, TDF_SLIM);
--- 2006,2012 ----
    init_expr = unshare_expr (initial_condition_in_loop_num (access_fn,
                                                             loop_nb));
  
!   if (vect_print_dump_info (REPORT_DETAILS))
      {
        fprintf (vect_dump, "step: ");
        print_generic_expr (vect_dump, step_expr, TDF_SLIM);
*************** vect_is_simple_iv_evolution (unsigned lo
*** 2016,2022 ****
  
    if (TREE_CODE (step_expr) != INTEGER_CST)
      {
!       if (vect_print_dump_info (REPORT_DETAILS, UNKNOWN_LOC))
          fprintf (vect_dump, "step unknown.");
        return false;
      }
--- 2019,2025 ----
  
    if (TREE_CODE (step_expr) != INTEGER_CST)
      {
!       if (vect_print_dump_info (REPORT_DETAILS))
          fprintf (vect_dump, "step unknown.");
        return false;
      }
*************** vectorize_loops (struct loops *loops)
*** 2052,2057 ****
--- 2055,2061 ----
        if (!loop)
          continue;
  
+       vect_loop_location = find_loop_location (loop);
        loop_vinfo = vect_analyze_loop (loop);
        loop->aux = loop_vinfo;
  
*************** vectorize_loops (struct loops *loops)
*** 2062,2068 ****
        num_vectorized_loops++;
      }
  
!   if (vect_print_dump_info (REPORT_VECTORIZED_LOOPS, UNKNOWN_LOC))
      fprintf (vect_dump, "vectorized %u loops in function.\n",
  	     num_vectorized_loops);
  
--- 2066,2072 ----
        num_vectorized_loops++;
      }
  
!   if (vect_print_dump_info (REPORT_VECTORIZED_LOOPS))
      fprintf (vect_dump, "vectorized %u loops in function.\n",
  	     num_vectorized_loops);
  
Index: tree-vectorizer.h
===================================================================
RCS file: /cvs/gcc/gcc/gcc/tree-vectorizer.h,v
retrieving revision 2.25
diff -Idpatel.pbxuser -c -3 -p -r2.25 tree-vectorizer.h
*** tree-vectorizer.h	25 Jun 2005 02:01:52 -0000	2.25
--- tree-vectorizer.h	6 Jul 2005 02:12:41 -0000
*************** typedef struct _loop_vec_info {
*** 122,129 ****
    /* All data references in the loop that are being read from.  */
    varray_type data_ref_reads;
  
-   /* The loop location in the source.  */
-   LOC loop_line_number;
  } *loop_vec_info;
  
  /* Access Functions.  */
--- 122,127 ----
*************** typedef struct _loop_vec_info {
*** 138,146 ****
  #define LOOP_VINFO_INT_NITERS(L) (TREE_INT_CST_LOW ((L)->num_iters))
  #define LOOP_PEELING_FOR_ALIGNMENT(L) (L)->peeling_for_alignment
  #define LOOP_VINFO_UNALIGNED_DR(L) (L)->unaligned_dr
- #define LOOP_VINFO_LOC(L)          (L)->loop_line_number
- 
- #define LOOP_LOC(L)    LOOP_VINFO_LOC(L)
  
  
  #define LOOP_VINFO_NITERS_KNOWN_P(L)                     \
--- 136,141 ----
*************** extern enum verbosity_levels vect_verbos
*** 311,316 ****
--- 306,312 ----
  
  /* Number of loops, at the beginning of vectorization.  */
  extern unsigned int vect_loops_num;
+ 
  /*-----------------------------------------------------------------*/
  /* Function prototypes.                                            */
  /*-----------------------------------------------------------------*/
*************** extern void vect_transform_loop (loop_ve
*** 374,380 ****
  /*************************************************************************
    Vectorization Debug Information - in tree-vectorizer.c
   *************************************************************************/
! extern bool vect_print_dump_info (enum verbosity_levels, LOC);
  extern void vect_set_verbosity_level (const char *);
  extern LOC find_loop_location (struct loop *);
  
--- 370,376 ----
  /*************************************************************************
    Vectorization Debug Information - in tree-vectorizer.c
   *************************************************************************/
! extern bool vect_print_dump_info (enum verbosity_levels);
  extern void vect_set_verbosity_level (const char *);
  extern LOC find_loop_location (struct loop *);
  
